Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 296578 - x11-drivers/xf86-input-synaptics doesn't call linux_chkconfig_present properly
Summary: x11-drivers/xf86-input-synaptics doesn't call linux_chkconfig_present properly
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo X packagers
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-12-12 02:47 UTC by Jeremy Olexa (darkside) (RETIRED)
Modified: 2009-12-24 19:59 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jeremy Olexa (darkside) (RETIRED) archtester gentoo-dev Security 2009-12-12 02:47:40 UTC
Hello,
Looking at the synaptics ebuild, the intent is to only warn (not die) if the CONFIG_EVDEV isn't set. So, you need to wrap that call in a linux_chkconfig_exists. Otherwise the results of linux_chkconfig_present is undefined. If you trace the route of linux_chkconfig_present, you will see that it calls required_configured_kernel and that will die if .config doesn't exist. This is not intended behavior for the ebuild. Think about building on a Gentoo VPS, where the kernel is managed for you, you cannot build this as a binary package.
Comment 1 Jeremy Olexa (darkside) (RETIRED) archtester gentoo-dev Security 2009-12-12 02:48:59 UTC
I don't have a proper patch since I am working on my netbook now. Here is the output, I think you can see the one line addition and indenting changes for the rest.

--- xf86-input-synaptics-1.2.0.ebuild.org	2009-12-10 19:10:05.000000000 +0000
+++ xf86-input-synaptics-1.2.0.ebuild	2009-12-11 20:48:12.000000000 +0000
@@ -31,13 +31,17 @@
 
 pkg_postinst() {
 	x-modular_pkg_postinst
-	if ! linux_chkconfig_present INPUT_EVDEV; then
-		echo
-		ewarn "This driver requires event interface support in your kernel"
-		ewarn "  Device Drivers --->"
-		ewarn "    Input device support --->"
-		ewarn "      <*>     Event interface"
-		echo
+	# If you don't have a .config, don't die. The intent is just a friendly
+	# warning.
+	if linux_config_exists; then
+		if ! linux_chkconfig_present INPUT_EVDEV; then
+			echo
+			ewarn "This driver requires event interface support in your kernel"
+			ewarn "  Device Drivers --->"
+			ewarn "    Input device support --->"
+			ewarn "      <*>     Event interface"
+			echo
+		fi
 	fi
 	if use hal ; then
 		elog "If you want to modify Synaptics settings, please create an fdi file in:"
Comment 2 Gilles Dartiguelongue (RETIRED) gentoo-dev 2009-12-13 21:16:35 UTC
+  13 Dec 2009; Gilles Dartiguelongue <eva@gentoo.org>
+  xf86-input-synaptics-1.2.0.ebuild:
+  Don't die if .config is not present, bug #296578.
+
Thanks for reporting.
Comment 3 Rémi Cardona (RETIRED) gentoo-dev 2009-12-13 22:53:13 UTC
Still needs to be fixed in the x11 overlay. Reassigning to us.

Thanks
Comment 4 Bryan Stine (RETIRED) gentoo-dev 2009-12-24 19:59:33 UTC
Synced to the overlay.